Loading...
Searching...
No Matches
D3D12_SO_DECLARATION_ENTRY Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

UINT | Stream
LPCSTR | SemanticName
UINT | SemanticIndex
BYTE | StartComponent
BYTE | ComponentCount
BYTE | OutputSlot

## Detailed Description

Definition at line 1882 of file mini_d3d12.h.

## Member Data Documentation

## Stream

UINT D3D12_SO_DECLARATION_ENTRY::Stream

Definition at line 1883 of file mini_d3d12.h.

## SemanticName

LPCSTR D3D12_SO_DECLARATION_ENTRY::SemanticName

Definition at line 1884 of file mini_d3d12.h.

## SemanticIndex

UINT D3D12_SO_DECLARATION_ENTRY::SemanticIndex

Definition at line 1885 of file mini_d3d12.h.

## StartComponent

BYTE D3D12_SO_DECLARATION_ENTRY::StartComponent

Definition at line 1886 of file mini_d3d12.h.

## ComponentCount

BYTE D3D12_SO_DECLARATION_ENTRY::ComponentCount

Definition at line 1887 of file mini_d3d12.h.

## OutputSlot

BYTE D3D12_SO_DECLARATION_ENTRY::OutputSlot

Definition at line 1888 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h